Subject: Re: [Sigtran] M2PA V6: T7 -- provide for T7 implementation flexibilty in M2PA draft

From: [email-masked]
Date: Tue, 8 Oct 2002 07:51:10 -0400

Hello Brian,

> I don't think that M2PA should preclude the per-message approach above.
The
> M2PA sender can managed its T7 timer to meet MTP3 performance
requirements.
> In the draft I think it is sufficient to say that a timer T7 SHOULD be
used
> to time the excessive delay of acknowledgement in accordance with MTP.  I
> would even suggest in a IMPLEMENTATION NOTE, the above per-message
procedure.

> This is not a minor point.  Delay introduced into signalling links has
been
> shown both in theory and in the field to lead to catastrophic cascade
failures
> accross quad D-links.  This is a weakness of MTP2 which is caused
precisely
> from its treatement of T7 timers.  This is not a problem if no delay is
> introduced into the link (drop-and-insert boxes, mediation boxes),
however,
> when delay is introduced into the link T7 does not fire properly and the
> result is artificial transmit congestion.  With deep TB and RTB buffers,
> eventual transmit congestion failure causes buffers to be transferred to
the
> next link in the linkset which immediately suffers the same fate.  I have
> seen entire Quad D's go down in milliseconds resulting in total
isolation.
>
> Failure of a link due to transmit congestion must be restricted to occur
only
> in the case of true transmit congestion and not just because
acknowledgements
> are being delayed.

Thank you! With this post, you have captured the essence of the issue and
made a good proposal for clarification in the draft, that is, provide for
flexibility
in the T7 implementation. This is a case where M2PA can be better than
MTP2.

I am in full agreement with your proposal for T7 in the first paragraph.

Regards,

Jeff

_______________________________________________
Sigtran mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/sigtran

---

From: "Brian F. G. Bidulock" <[email-masked]>
Date: Tue, 8 Oct 2002 06:25:40 -0600

Jeffrey,

[email-masked] wrote:                                             (Tue, 08 Oct 2002 07:51:10)
> 
> Hello Brian,
> 
> > I don't think that M2PA should preclude the per-message approach above.  The
> > M2PA sender can managed its T7 timer to meet MTP3 performance requirements.
> > In the draft I think it is sufficient to say that a timer T7 SHOULD be used
> > would even suggest in a IMPLEMENTATION NOTE, the above per-message procedure.
> 
> > This is not a minor point.  Delay introduced into signalling links has been
> > shown both in theory and in the field to lead to catastrophic cascade failures
> > accross quad D-links.  This is a weakness of MTP2 which is caused precisely
> > introduced into the link (drop-and-insert boxes, mediation boxes), however,
> > eventual transmit congestion failure causes buffers to be transferred to the
> > seen entire Quad D's go down in milliseconds resulting in total isolation.
> >
> > Failure of a link due to transmit congestion must be restricted to occur only
> > in the case of true transmit congestion and not just because acknowledgements
> > are being delayed.
> 
> flexibility in the T7 implementation. This is a case where M2PA can be
> better than MTP2.
> 

Excellent.  Other comments?

--brian

-- 
Brian F. G. Bidulock
[email-masked]
http://www.openss7.org/